Manuel PHP
Précédent | Chapitre 3. Installation | Suivant

# Liste des options de configuration diverses

Vous trouverez ci-dessus une liste partielle des options de configuration utilisées par le script de configuration `PHP` `configure`, lors de la compilation sur les environnements de type Unix. La plupart des options de configuration sont décrites dans leur chapitre et ne sont pas présentées ici. Pour une liste complète des options de configuration, utilisez la commande en ligne ./configure --help dans votre dossier `PHP` après avoir exécuté la commande autoconf (voyez aussi le chapitre d'installation). Vous serez aussi interessés par la lecture de la documentation de GNU configure pour plus de détails sur les options du script configure, telles que `--prefix=PREFIX`.

> Note : Ces options sont utilisées uniquement au moment de la compilation. Si vous voulez modifier le comportement de PHP lors de l'exécution, reportez vous au chapitre configuration.

Ci-dessous, vous trouverez une liste complète des options supportées par le script de configuration de PHP 4, `configure` (depuis PHP 4.1.0), utilisé lors de la compilation dans les environnements Unix. Certaines options sont disponibles en PHP 3, d'autres en PHP 4, d'autres encore dans les deux.

Il y a des options de configuration générales pour le script configure, consultez les pages appropriées du manuel de GNU autoconf ou bien utilisez la commande configure --help pour avoir une liste complète et à jour des options.

- Bases de données

- Graphisme

- Divers

- PHP

- Serveur

## Options de configuration en PHP 4

> Note : Ces options ne sont utilisées qu'en PHP 4, depuis la version PHP 4.1.0. Certaines sont disponibles dans les anciennes versions PHP 4, certaines même en PHP 3, certaines uniquement en PHP 4.1.0. Si vous essayez de compiler une version plus ancienne, certaines options peuvent simplement ne pas exister.

### Options graphiques

`--with-imagick`

  L'extension imagick a été placée dans PECL de PEAR et peut être trouvée ici. Les instructions d'installation pour `PHP` 4 sont disponibles sur le site de PEAR.

  En bref, `--with-imagick` est uniquement supporté en `PHP` 3, à moins que vous ne suiviez les instructions disponibles sur le site de PEAR.

### Options diverses

`--enable-debug`

  Compile PHP avec les symboles de débogage.

`--with-layout=type`

  Indique comment les fichiers installés doivent être rangés. Les valeurs possibles sont Type (valeur par défaut) et GNU.

`--with-pear=dir`

  Installe PEAR dans le dossier DIR. Par défaut, c'est PREFIX/lib/php.

`--without-pear`

  Exclut l'installation de PEAR.

`--enable-sigchild`

  Active le gestionnaire de SIGCHLD propre à PHP.

`--disable-rpath`

  Désactive le passage de chemins supplémentaires pour chercher les librairies additionnelles.

`--enable-libgcc`

  Active explicitement le linkage avec libgcc.

`--enable-php-streams`

  Inclut le support des flux de PHP (expérimental). Ne pas utiliser à moins que vous ne testiez le code.

`--with-zlib-dir=<dir>`

  Définit le chemin d'installation de zlib.

`--enable-trans-sid`

  Active la propagation transparente des sessions.

`--with-tsrm-pthreads`

  Utilise les threads POSIX (configuré par défaut).

`--enable-shared[=pkgs]`

  Compile les librairies partagées. Par défaut, c'est yes.

`--enable-static[=pkgs]`

  Compile les librairies statiques. Par défaut, c'est yes.

`--enable-fast-install[=pkgs]`

  Optimise pour l'installation rapide. Par défaut, c'est yes.

`--with-gnu-ld`

  Suppose que le compilateur utilise GNU ld. Par défaut, c'est no.

`--disable-libtool-lock`

  Evite les verrouillages (mais cela risque de corrompre des compilations parallèles).

`--with-pic`

  Essaie d'utiliser uniquement des objets PIC/non-PIC. Par défaut, c'est `both` (les deux).

`--enable-memory-limit`

  Compile PHP avec le support de la limitation de mémoire.

`--disable-url-fopen-wrapper`

  Désactive les gestionnaires HTTP et FTP avec les fonctions d'accès aux fichiers.

`--enable-versioning`

  Exporte uniquement les symboles nécessaires. Voir le fichier INSTALL pour plus de détails.

`--with-imsp[=dir]`

  Inclut le support de IMSP. DIR est le dossier d'IMSP qui contient les fichiers d'en-têtes et le fichier libimsp.a. Valable uniquement pour PHP 3!

`--with-mck[=dir]`

  Inclut le support de Cybercash MCK. DIR est le dossier d'installation de cybercash mck. Par défaut, c'est /usr/src/mck-3.2.0.3-linux. Pour de l'aide, regardez dans extra/cyberlib. Valable uniquement pour PHP 3!

`--with-mod-dav=dir`

  Inclut le support de DAV, grâce à l'interface Apache mod_dav. DIR est le dossier d'installation de mod_dav. Fonctionne uniquement pour la version module d'Apache. Valable uniquement pour PHP 3!

`--enable-debugger`

  Compile PHP avec les fonctionnalités de débogage à distance. Valable uniquement pour PHP 3!

`--enable-versioning`

  Profite du système de versionnage et de gestion d'environnement de Solaris 2.x et Linux. Valable uniquement pour PHP 3!

### Options PHP

`--enable-maintainer-mode`

  Active des règles de compilation (make) et des dépendances pas toujours utiles aux utilisateurs occasionnels.

`--with-config-file-path=path`

  Indique le chemin dans lequel réside le fichier `php.ini`. Par défaut, c'est PREFIX/lib.

`--enable-safe-mode`

  Active le safe mode par défaut.

`--with-exec-dir[=dir]`

  Autorise uniquement les exécutables situés dans le dossier DIR lorsque le safe mode est activ. Par défaut, c'est DIR vaut /usr/local/php/bin.

`--enable-magic-quotes`

  Active les guillemets magiques.

`--disable-short-tags`

  Désactive les balises courtes `<?`.

### Options Serveur

`--with-aolserver=dir`

  Spécifie le chemin d'installation du serveur AOLserver.

`--with-apxs[=file]`

  Compile un module Apache partagé. FILE est un chemin d'accès optionnel vers les outils apxs d'Apache. Par défaut, c'est apxs. Assurez vous de spécifier la version d'apxs qui est réellement installée sur votre système, et non pas celle qui est fournie avec Apache.

`--with-apache[=dir]`

  Compile le module Apache. DIR est le chemin du dossier d'installation d'Apache. Par défaut, c'est /usr/local/apache.

`--with-mod_charset`

  Active les tables de transfert pour mod_charset (version russe de Apache).

`--with-apxs2[=file]`

  Compile le module partagé Apache 2.0. FILE est un chemin d'accès optionnel vers les outils apxs d'Apache. Par défaut, c'est apxs.

`--with-caudium=dir`

  Compile `PHP` comme module Pike pour utilisation avec Caudium. DIR est le serveur Caudium. Par défaut, c'est `/usr/local/caudium/server`.

`--disable-cli`

  Empêche la compilation de la version CLI de `PHP` (cela force aussi l'option --without-pear). Disponible depuis PHP 4.3.0.

`--enable-embed[=type]`

  Active la compilation de la librairie intégrée SAPI. TYPE vaut soit `shared`, soit `static`. Par défaut, c'est `shared`. Disponible depuis `PHP` 4.3.0.

`--with-fhttpd[=dir]`

  Compile le module fhttpd. DIR est le dossier d'installation de fhttpd. Par défaut, c'est /usr/local/src/fhttpd.

`--with-isapi=dir`

  Compile `PHP` sous forme de module ISAPI pour utiliser avec le serveur Zeus.

`--with-nsapi=dir`

  Spécifie le chemin vers le serveur Netscape Server.

`--with-phttpd=dir`

  Aucune information fournie.

`--with-pi3web=dir`

  Compile `PHP` sous forme de module pour utiliser avec le serveur Pi3Web.

`--with-roxen=dir`

  Compile `PHP` sous forme de module Pike. DIR est le chemin d'installation de Roxen. Par défaut, c'est /usr/local/roxen/server.

`--enable-roxen-zts`

  Compile `PHP` sous forme de module Roxen, en utilisant Zend Thread Safety.

`--with-servlet[=dir]`

  Inclut le support des servlets. DIR est le chemin d'installation du JSDK. Cette SAPI impose que l'extension java soit compilée comme une librairie partagée.

`--with-thttpd=srcdir`

  Compile `PHP` comme module thttpd.

`--with-tux=moduledir`

  Compile `PHP` comme module TUX (Linux uniquement).

`--with-webjames=srcdir`

  Build `PHP` as a WebJames module (RISC OS only)

`--disable-cgi`

  Empêche la compilation de la version CGI de `PHP`. Disponible depuis `PHP` 4.3.0.

`--enable-force-cgi-redirect`

  Active la sécurité lors des redirections internes du serveur. Il est recommandé d'utiliser cette option lorsque vous utilisez `PHP` en CGI avec Apache.

`--enable-discard-path`

  Si cette option est activée, l'exécutable CGI `PHP` peut être placé hors de l'arborescence web, en toute sécurité. Il ne sera pas possible de contourner les fichiers `.htaccess`.

`--with-fastcgi`

  Compile `PHP` comme application FastCGI. Cette option n'est plus disponible depuis `PHP` 4.3.0.

`--enable-fastcgi`

  Si cette option est activée, le module CGI sera compilé avec le support FastCGI. Cette option est disponible depuis `PHP` 4.3.0.

`--disable-path-info-check`

  Si cette option est désactivée, des chemins tels que `/info.php/test?a=b` ne pourront pas fonctionner. Cette option est disponible depuis `PHP` 4.3.0. Pour plus d'informations, voir le Manuel Apache.

Précédent | Sommaire | Suivant
Des problèmes? | Niveau supérieur | Configuration